DORMANTno replies

[PATCH jp/symlink-dirs] t6035-merge-dir-to-symlink depends on SYMLINKS prerequisite

From: Johannes Sixt <hidden>
Date: 2016-06-15 22:47:12
Subsystem: the rest · Maintainer: Linus Torvalds

Signed-off-by: Johannes Sixt <redacted>
---
  t/t6035-merge-dir-to-symlink.sh |    6 ++++++
  1 files changed, 6 insertions(+), 0 deletions(-)
diff --git a/t/t6035-merge-dir-to-symlink.sh b/t/t6035-merge-dir-to-symlink.sh
index a0ddf1e..5b96fb0 100755
--- a/t/t6035-merge-dir-to-symlink.sh
+++ b/t/t6035-merge-dir-to-symlink.sh
@@ -3,6 +3,12 @@
  test_description='merging when a directory was replaced with a symlink'
  . ./test-lib.sh

+if ! test_have_prereq SYMLINKS
+then
+	say 'Symbolic links not supported, skipping tests.'
+	test_done
+fi
+
  test_expect_success 'create a commit where dir a/b changed to symlink' '
  	mkdir -p a/b/c a/b-2/c &&
  	> a/b/c/d &&
-- 
1.6.4.1026.g2deb5
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help